Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class SubqueryLocator

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseTransform
          org.eclipse.birt.data.engine.api.querydefn.BaseQueryDefinition
              org.eclipse.birt.data.engine.api.querydefn.SubqueryDefinition
                  org.eclipse.birt.data.engine.api.querydefn.SubqueryLocator

All Implemented Interfaces:
  IBaseQueryDefinition, IBaseTransform, IDataQueryDefinition, INamedObject, ISubqueryDefinition

    public class SubqueryLocator

extends SubqueryDefinition

A sub class of SubqueryDefinition. The class provides a view associated with a row ID.

Field Summary

Fields inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseQueryDefinition
`distinctValue, groups, hasDetail, maxRowCount, parentQuery, startingRow`

Fields inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseTransform
`AFTER_LAST_ROW, afterExpressions, BEFORE_FIRST_ROW, beforeExpressions, filters, ON_EACH_ROW, rowExpressions, sorts, subqueries`

Constructor Summary
`SubqueryLocator(int rowId, java.lang.String name, IBaseQueryDefinition parent)` Constructs a SubqueryLocator.

Method Summary
`int` | `getRowId()` Get the row ID.

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.SubqueryDefinition
`applyOnGroup, getName, setApplyOnGroupFlag`

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseQueryDefinition
`addBinding, addGroup, addResultSetExpression, cacheQueryResults, getBindings, getDistinctValue, getGroups, getMaxRows, getParentQuery, getQueryExecutionHints, getResultSetExpressions, getStartingRow, setCacheQueryResults, setDistinctValue, setMaxRows, setName, setQueryExecutionHints, setStartingRow, setUsesDetails, usesDetails`

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseTransform
`addFilter, addSort, addSubquery, getFilters, getSorts, getSubqueries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseQueryDefinition
`addBinding, cacheQueryResults, getBindings, getDistinctValue, getGroups, getMaxRows, getParentQuery, getQueryExecutionHints, getResultSetExpressions, getStartingRow, setMaxRows, usesDetails`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseTransform
`getFilters, getSorts, getSubqueries`

Methods inherited from interface org.eclipse.birt.data.engine.api.INamedObject
`setName`

Constructor Detail

### SubqueryLocator

    public SubqueryLocator(int rowId,
                           java.lang.String name,
                           IBaseQueryDefinition parent)

  Constructs a SubqueryLocator. A row ID must be provided that uniquely identifies a special view.

  Parameters:
    `rowId` -
    `name` -
    `parent` -

Method Detail

### getRowId

    public int getRowId()

  Get the row ID.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.